Last Comment Bug 398979 - [as] Assamese: Firefox, Thunderbird
: [as] Assamese: Firefox, Thunderbird
Status: RESOLVED FIXED
:
Product: Mozilla Localizations
Classification: Client Software
Component: as / Assamese (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks: fx35-l10n-as
  Show dependency treegraph
 
Reported: 2007-10-08 03:13 PDT by Amitakhya Phukan
Modified: 2010-10-19 10:35 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
tarball of translated firefox for FF2 (251.11 KB, application/x-gzip)
2008-07-02 03:10 PDT, Amitakhya Phukan
no flags Details
Updated tarball (252.64 KB, application/x-tar)
2008-07-02 03:22 PDT, Amitakhya Phukan
l10n: review+
Details

Description Amitakhya Phukan 2007-10-08 03:13:57 PDT
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.5) Gecko/20070718 Fedora/2.0.0.5-1.fc7 Firefox/2.0.0.5
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.5) Gecko/20070718 Fedora/2.0.0.5-1.fc7 Firefox/2.0.0.5

I want to join the Firefox localization project.

Name : Amitakhya Phukan
Contact address : Red Hat Software Services (India) Pvt. Ltd.
                  6th Floor, East Wing, Marisoft-III
                  Marigold Premises, Kalyani Nagar
                  Pune-411014   Maharashtra   India
E-Mail : aphukan@fedoraproject.org
Website : http://wiki.mozilla.org/L10n:Teams:as

Language code : as-IN

Assamese is the official language of Assam, a state in North East India. I want to start the localization efforts for Mozilla Firefox and Thunderbird in Assamese.

Reproducible: Always

Steps to Reproduce:
1.
2.
3.



For more details about Assamese, please see http://en.wikipedia.org/wiki/Assamese_language
Comment 1 Axel Hecht [:Pike] 2007-10-08 03:19:48 PDT
Great :-)

You'd want to read http://wiki.mozilla.org/L10n:Starting_a_localization and
it's sibling pages describing our process. I have seen that you already created http://wiki.mozilla.org/L10n:Teams:as, I'll add a cross reference to this bug there.

You probably want to announce yourself in the Indian l10n newsgroup, too. You
can find mozilla.dev.l10n.in on news.mozilla.org, google groups, or use the
mailing list interface on https://lists.mozilla.org/listinfo/dev-l10n-in.

Then, follow the instructions on the wiki to produce a language pack you can
distribute through addons.mozilla.org. Once you have reached that stage, we can
consider your pack for official status - although I should warn you that this
is a separate process with its own complexities.
Still, the community will still be able to get your pack from
addons.mozilla.org in the meantime.

If you have read carefully and find the documentation isn't good enough in any
way, please let us know and we will improve it.
Comment 2 Axel Hecht [:Pike] 2007-12-07 02:38:12 PST
Amitakhya, I'd be curious to hear about how you're doing here.
Comment 3 Gervase Markham [:gerv] 2008-01-30 10:20:26 PST
Amitakhya: have you been able to make any progress?

Gerv
Comment 4 Amitakhya Phukan 2008-01-30 22:41:56 PST
yes, most of the files are translated and i will test the translations by saturday.
Comment 5 Amitakhya Phukan 2008-07-02 00:27:06 PDT
I have finished the translations.. now what to do ? i tried creating the lang pack and installing the xpi, but couldn't. what do i do now ?
Comment 6 Amitakhya Phukan 2008-07-02 03:10:57 PDT
Created attachment 327775 [details]
tarball of translated firefox for FF2
Comment 7 Amitakhya Phukan 2008-07-02 03:22:40 PDT
Created attachment 327776 [details]
Updated tarball
Comment 8 Axel Hecht [:Pike] 2008-07-02 04:06:00 PDT
Comment on attachment 327776 [details]
Updated tarball

r=me with nits. I fixed browser/defines.inc, and I reverted the webservices stuff to en-US on fx3 state.

In particular, I copied over chrome/browser-region/region.properties and searchplugins/list.txt, and removed the xml files in searchplugins. The latter will be picked up from the en-US sources for now.

We'll deal with the right modifications to that in follow-up bugs.

I also copied in an up-to-date copy of bookmarks.html and changed the links to point to 'as' instead of 'en-US'. The link titles should still be translated, though.
Comment 9 Axel Hecht [:Pike] 2008-07-02 04:06:39 PDT
Next thing to do for Amitakhya would be to file a cvs account request bug, details on that are on http://wiki.mozilla.org/L10n:Becoming_an_Official_Localization#CVS_write_access
Comment 10 Axel Hecht [:Pike] 2008-07-26 03:30:01 PDT
We have a current state in CVS, and burning builds on http://tinderbox.mozilla.org/showbuilds.cgi?tree=Mozilla-l10n-as and http://l10n.mozilla.org/dashboard/, but we're still lacking the cvs account bug, and some progress on the bugzilla component bug 443140.
Comment 11 Amitakhya Phukan 2008-07-28 23:41:31 PDT
Hi Pike,

Please see bug 448352 for requesting SVN access. I have just filed the bug. Please tell me what to do next.
Comment 12 Simon Paquet [:sipaq] 2008-08-05 08:09:12 PDT
Amitakhya, are you also working on a Thunderbird localization as indicated in the bug title? If yes, what can we do to move this forward?
Comment 13 Amitakhya Phukan 2008-08-05 22:30:51 PDT
Yes I am. Please wait till this weekend for me to finish the translations and submit it in this bug.
Comment 14 Axel Hecht [:Pike] 2008-08-22 06:00:35 PDT
Resolving FIXED. Amitphukan, we'd go directly for Thunderbird 3 right now, which is not on cvs but on hg. I'm not sure if this is the right time to jump on this task, given how much work still needs to go into fx3 and toolkit localization.

I'd suggest to create a separate bug in the Assamese component on thunderbird l10n with sipaq and I on CC to track that work.

Note You need to log in before you can comment on or make changes to this bug.